org.apache.ignite.internal.util.lang

## Class IgniteReducerX<E1,R>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.IgniteReducerX<E1,R>

All Implemented Interfaces:
  Serializable, IgniteReducer<E1,R>

Direct Known Subclasses:
  RX1

    public abstract class IgniteReducerX<E1,R>
    extends Object
    implements IgniteReducer<E1,R>

Convenient reducer subclass that allows for thrown grid exception. This class implements `reduce()` method that calls `applyx()` method and properly wraps `IgniteCheckedException` into `GridClosureException` instance.

See Also:
  `RX1`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteReducerX()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract R` `applyx()` Reducer body that can throw `IgniteCheckedException`.
`R` `reduce()` Reduces collected values into one.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.lang.IgniteReducer

`collect`

### Constructor Detail

#### IgniteReducerX

    public IgniteReducerX()

### Method Detail

#### reduce

    public R reduce()

Reduces collected values into one.

Specified by:
  `reduce` in interface `IgniteReducer<E1,R>`
Returns:
  Reduced value.

#### applyx

    public abstract R applyx()
                      throws IgniteCheckedException

Reducer body that can throw `IgniteCheckedException`.

Returns:
  Reducer return value.
Throws:
  `IgniteCheckedException` - Thrown in case of any error condition inside of the reducer.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018